﻿// <auto-generated />
using DotnetHomeworkApi.SaveContexts;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

#nullable disable

namespace DotnetHomeworkApi.Migrations
{
    [DbContext(typeof(SaveContext))]
    partial class SaveContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "6.0.12")
                .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("DotnetHomeworkApi.SaveContexts.Models.SavedDocuments", b =>
                {
                    b.Property<string>("Id")
                        .HasColumnType("varchar(95)");

                    b.Property<string>("Data")
                        .IsRequired()
                        .HasColumnType("json");

                    b.HasKey("Id");

                    b.HasIndex("Data");

                    b.HasIndex("Id");

                    b.ToTable("saveddocument");
                });
#pragma warning restore 612, 618
        }
    }
}
